> ## Documentation Index
> Fetch the complete documentation index at: https://docs.katilyst.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a user



## OpenAPI

````yaml openapi.json GET /v1/users/{userId}
openapi: 3.0.0
info:
  title: Katilyst Public API
  description: >-
    <h4>API Key</h4><p>To use the Katilyst Public API, you need an API Key. API
    Keys are issued on a per-account basis and have access to all information
    and operations within an account that are available through the Katilyst
    Public API. <p>They should be handled with care and treated as you would a
    password to a powerful account.</p></p>

    <p>To use your API Key, simply include it in the Authorization header of all
    requests to the Katilyst Public API, prefixed with the string “API-Key” like
    so:</p><code>Authorization: API-Key katilsyt_oMeofDAJ_thisisanexamplekey
    </code><h4>Paging</h4><p>For GET endpoints that return arrays of objects,
    the API will automatically page results for you. If you wish to control the
    page size or number yourself, you can provide the query parameters
    <code>limit</code> and <code>start</code>. Limit will control the maximum
    number of results returned per page. Start will determine which page to
    return, with 0 being the first page.</p><h4>Timestamps</h4><p>For POST and
    PUT inputs that take timestamps, the timestamp must be provided as a string
    in ISO 8601 format and requires that include a “z” to designate UTC or a
    timezone offset.</p>
  version: V1.0
  contact: {}
servers:
  - url: https://api.katilyst.com
security: []
tags: []
paths:
  /v1/users/{userId}:
    get:
      tags:
        - V1
      summary: Get a user
      operationId: UserController_getUser
      parameters:
        - name: userId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserResponse'
        '401':
          description: Missing or invalid API Key
      security:
        - API-Key: []
components:
  schemas:
    GetUserResponse:
      type: object
      properties:
        id:
          type: string
          example: 1111-111-11111-example
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        lastLoggedIn:
          type: string
          example: Date or Never Logged In
        jobTitle:
          type: string
          example: API Documentation Consultant
        email:
          type: string
          example: fake@example.com
        accountAdmin:
          type: boolean
          example: false
        projects:
          type: array
          items:
            $ref: '#/components/schemas/UserProject'
        groupings:
          type: array
          items:
            $ref: '#/components/schemas/UserGroupings'
      required:
        - id
        - firstName
        - lastName
        - lastLoggedIn
        - jobTitle
        - email
        - accountAdmin
        - projects
        - groupings
    UserProject:
      type: object
      properties:
        id:
          type: string
          example: 1111-111-11111-example
        name:
          type: string
          example: Example Project
        role:
          type: string
          example: Project Admin
      required:
        - id
        - name
        - role
    UserGroupings:
      type: object
      properties:
        id:
          type: string
          example: 1111-111-11111-example
        name:
          type: string
          example: Example Grouping 'Team'
        groups:
          type: array
          items:
            $ref: '#/components/schemas/UserGroups'
      required:
        - id
        - name
        - groups
    UserGroups:
      type: object
      properties:
        id:
          type: string
          example: 1111-111-11111-example
        name:
          type: string
          example: Example Group 'Engineering'
      required:
        - id
        - name
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your full Authorization header value, including the prefix: `API-Key
        katilyst_xxxx_yourkey`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.